Update a location
curl --request PATCH \
--url https://app.papelship.com/api/v1/shipping/locations/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>' \
--data '
{
"name": "<string>",
"address": {
"country_code": "<string>",
"line1": "<string>",
"city": "<string>",
"region": "<string>",
"district": "<string>",
"line2": "<string>",
"postal_code": "<string>"
},
"contact_name": "<string>",
"phone": "<string>",
"is_default_origin": true,
"is_return": true
}
'const options = {
method: 'PATCH',
headers: {
'x-api-key': '<api-key>',
'x-store-hash': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
address: {
country_code: '<string>',
line1: '<string>',
city: '<string>',
region: '<string>',
district: '<string>',
line2: '<string>',
postal_code: '<string>'
},
contact_name: '<string>',
phone: '<string>',
is_default_origin: true,
is_return: true
})
};
fetch('https://app.papelship.com/api/v1/shipping/locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/shipping/locations/{id}"
payload = {
"name": "<string>",
"address": {
"country_code": "<string>",
"line1": "<string>",
"city": "<string>",
"region": "<string>",
"district": "<string>",
"line2": "<string>",
"postal_code": "<string>"
},
"contact_name": "<string>",
"phone": "<string>",
"is_default_origin": True,
"is_return": True
}
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/shipping/locations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'address' => [
'country_code' => '<string>',
'line1' => '<string>',
'city' => '<string>',
'region' => '<string>',
'district' => '<string>',
'line2' => '<string>',
'postal_code' => '<string>'
],
'contact_name' => '<string>',
'phone' => '<string>',
'is_default_origin' => true,
'is_return' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/shipping/locations/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"address\": {\n \"country_code\": \"<string>\",\n \"line1\": \"<string>\",\n \"city\": \"<string>\",\n \"region\": \"<string>\",\n \"district\": \"<string>\",\n \"line2\": \"<string>\",\n \"postal_code\": \"<string>\"\n },\n \"contact_name\": \"<string>\",\n \"phone\": \"<string>\",\n \"is_default_origin\": true,\n \"is_return\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"location": {
"id": 123,
"name": "Main warehouse",
"is_default_origin": true,
"is_return": true,
"contact_name": "<string>",
"phone": "<string>",
"active": true,
"address": {
"country_code": "<string>",
"region": "<string>",
"city": "<string>",
"district": "<string>",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>"
}
}
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "VALIDATION_FAILED",
"error": "customer_email must be a valid email address",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Shipping settings
Update a location
Permission: fulfillment:write
PATCH
/
shipping
/
locations
/
{id}
Update a location
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Path Parameters
Location ID.
Example:
"2"
Body
application/json